PETSc version 3.15.5
Fix/Edit manual page

# SNESFASFullSetDownSweep

Smooth during the initial downsweep for SNESFAS

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASFullSetDownSweep(SNES snes,PetscBool swp)

Logically Collective on SNES

### Input Parameters

| snes | - the multigrid context
| swp | - whether to downsweep or not

### Options Database Key

| -snes_fas_full_downsweep | - Sets number of pre-smoothing steps

### See Also

SNESFASSetNumberSmoothUp()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages